org.activiti.engine.task

## Interface Task

- All Superinterfaces:
    TaskInfo

      public interface Task
      extends TaskInfo

  Represents one task for a human user.
  Author:
    Joram Barrez, Tijs Rademakers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PRIORITY` Default value used for priority when a new `Task` is created.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delegate(String userId)` delegates this task to the given user and sets the `delegationState` to `DelegationState.PENDING`.
    `DelegationState` | `getDelegationState()` The current `DelegationState` for this task.
    `boolean` | `isSuspended()` Indicates whether this task is suspended or not.
    `void` | `setAssignee(String assignee)` The `userId` of the person to which this task is delegated.
    `void` | `setCategory(String category)` Change the category of the task.
    `void` | `setDelegationState(DelegationState delegationState)` The current `DelegationState` for this task.
    `void` | `setDescription(String description)` Change the description of the task
    `void` | `setDueDate(Date dueDate)` Change due date of the task.
    `void` | `setFormKey(String formKey)` Change the form key of the task
    `void` | `setLocalizedDescription(String description)` Sets an optional localized description for the task.
    `void` | `setLocalizedName(String name)` Sets an optional localized name for the task.
    `void` | `setName(String name)` Name or title of the task.
    `void` | `setOwner(String owner)` The `userId` of the person that is responsible for this task.
    `void` | `setParentTaskId(String parentTaskId)` the parent task for which this task is a subtask
    `void` | `setPriority(int priority)` Sets the indication of how important/urgent this task is
    `void` | `setTenantId(String tenantId)` Change the tenantId of the task

    - ### Methods inherited from interface org.activiti.engine.task.TaskInfo

      `getAssignee, getCategory, getCreateTime, getDescription, getDueDate, getExecutionId, getFormKey, getId, getName, getOwner, getParentTaskId, getPriority, getProcessDefinitionId, getProcessInstanceId, getProcessVariables, getTaskDefinitionKey, getTaskLocalVariables, getTenantId`

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      Default value used for priority when a new `Task` is created.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setName

          void setName(String name)

      Name or title of the task.

    - #### setLocalizedName

          void setLocalizedName(String name)

      Sets an optional localized name for the task.

    - #### setDescription

          void setDescription(String description)

      Change the description of the task

    - #### setLocalizedDescription

          void setLocalizedDescription(String description)

      Sets an optional localized description for the task.

    - #### setPriority

          void setPriority(int priority)

      Sets the indication of how important/urgent this task is

    - #### setOwner

          void setOwner(String owner)

      The `userId` of the person that is responsible for this task.

    - #### setAssignee

          void setAssignee(String assignee)

      The `userId` of the person to which this task is delegated.

    - #### getDelegationState

          DelegationState getDelegationState()

      The current `DelegationState` for this task.

    - #### setDelegationState

          void setDelegationState(DelegationState delegationState)

      The current `DelegationState` for this task.

    - #### setDueDate

          void setDueDate(Date dueDate)

      Change due date of the task.

    - #### setCategory

          void setCategory(String category)

      Change the category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

    - #### delegate

          void delegate(String userId)

      delegates this task to the given user and sets the `delegationState` to `DelegationState.PENDING`. If no owner is set on the task, the owner is set to the current assignee of the task.

    - #### setParentTaskId

          void setParentTaskId(String parentTaskId)

      the parent task for which this task is a subtask

    - #### setTenantId

          void setTenantId(String tenantId)

      Change the tenantId of the task

    - #### setFormKey

          void setFormKey(String formKey)

      Change the form key of the task

    - #### isSuspended

          boolean isSuspended()

      Indicates whether this task is suspended or not.

Copyright © 2016 Alfresco. All rights reserved.